Bug 188772 - Evolution alarms do not trigger for "Customized" times
Evolution alarms do not trigger for "Customized" times
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 20:43 EDT by Wesley Haines
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 16:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 337824 None None None Never

  None (edit)
Description Wesley Haines 2006-04-12 20:43:33 EDT
Description of problem:
Evolution does not remember customized alarms in the Appointments view. The
default alarms (15 min, 1 hour, 1 day) work fine and trigger pop-up boxes.


Version-Release number of selected component (if applicable):

[kremit@Kremit ~]$ rpm -qa|grep -i evolution
evolution-2.6.0-1
evolution-data-server-1.6.0-1
evolution-webcal-2.4.1-3.2
evolution-sharp-0.10.2-9


How reproducible:
Every time I select the 'Customized' alarm in the New -> Appointment window.


Steps to Reproduce:
1. Click New -> Appointment
2. Type in some information
3. Click the "Alarms" button
4. Select "Customized" under Alarm
5. Notice that the Action/Trigger lists a default pop-up notification with a
time of "-1" minutes (this is a bug in itself)
6. Remove the default action
7. Click Add and add a pop-up alarm for 20 minutes
8. Click OK, and close the other dialogs
9. Go to the Appointments view and double-click on the appointment
10. Click the Alarms button
11. Notice that the alarm time is recorded as "Pop up an alert for an unknown
trigger type"
12. Also notice that a notification never appears 20 minutes before the set
appointment time.


Expected results:
The alarm should be saved and should trigger a pop-up window when the alarm goes
off.
Comment 1 Matěj Cepl 2007-08-31 11:21:53 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Wesley Haines 2007-08-31 16:41:10 EDT
This appears to work fine now, as long as you set a timezone in the Calendar
configuration. Thanks!

Note You need to log in before you can comment on or make changes to this bug.